Get plan

The Get plan method returns plan details for the current reseller or any of its downstream resellers.

XML
 GET {base_url}/api/v3/resellers/{reseller_id}/plans/{plan_id}

Arguments

Name

Parameter Type

Data type

Required/Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

ID of the current reseller or any of its downstream resellers (see 


)

plan_id

path

integer

Required

ID of the plan

include

query

string

Optional

Returns additional information about objects related to a plan. The following objects and possible values are supported:

Object

Parameter value

Plan category

plan_category

Response model

Name

Data type

Description

data

object

Response data


id

integer

ID of the plan


type

string

Data type


attributes

object

Information about the plan



created_at

string

Date and time of the plan creation



updated_at

string

Date and time when the plan was updated



status

string

Status of the plan (for the list of plans statuses, see


)



name

string

Name of the plan



description

string

Plan details description



public

bool

Indication whether the plan is available for sale:

  • true — the plan is available for sale.

  • false — the plan is not available for sale.



plan_class_id

integer

ID of the service term (see )



product_id

integer

ID of the product of the plan



billing_type

string

Billing type of the plan (see 


)



ancestry

string

For delegated plans, consists of the list of all parent plans starting from the root plan (see


). For plans created by the reseller, is null.



reseller_id

integer

ID of the reseller



fixed_price

bool

The Fixed price option of the plan:

  • true — a customer pays for the subscription and ordering additional resources the same price as it was set at the moment of the subscription order. The new price will be applied only after the subscription is renewed.

  • false — the plan prices are not fixed for customers.



sku

string

SKU of the plan



singleton

bool

The Singleton option of the plan:

  • true — a customer can have only one subscription to the plan.

  • false — a customer can have several subscriptions to the plan.



auto_renewal

bool

Indicates the status of the Auto-renew option of the plan:

  • true — the Auto-renew option is activated.

  • false — the Auto-renew option is not activated.



auto_renewal_disabled

bool

Indicates the status of the Disable the Auto-renew option option of the plan:

  • true — the Disable the Auto-renew option option is activated.

  • false — the Disable the Auto-renew option option is not activated.



plan_class

string

Name of the service term



product_category_id

integer

ID of the product category of the plan



product_category

string

Name of the product category of the plan



product_category_public

bool

Indicates the status of the Public option of the product category:

  • true — the product category is available for selling.

  • false — the product category is not available for selling.



product

string

Name of the product of the plan



plan_resources

object

Resources of the plan




data

array of objects

Object data





id

integer

ID of the resource in the plan





type

string

Data type





attributes

object

Information about the resource






created_at

string

Date and time of the resource creation






updated_at

string

Date and time when the resource was updated






name

string

Name of the resource






measurable

bool

Displays whether the actual amount of the used resource is supported:

  • true — the actual amount of the used resource is used for generating charges.

  • false — the actual amount of the used resource is not used for generating charges.






unit_of_measure

string

Unit of measure of the resource:

  • unit — the resource is measurable. The resource amount is specified.

  • boolean — the resource is non-measurable. The resource amount is not required and:true — the resource is included in the plan.false — the resource is not included in the plan.






application_template_name

string

Name of the application template






included

integer

Amount of the resource included in the plan by default (included resources are part of the subscription price)






minimum

integer

Minimum amount of the resource (together with the included amount) available for ordering (see )






limit

integer

Maximum amount of the resource available for ordering. For an unlimited resource (unlimited_units = true), limit = 0






setup_fee

string

Setup fee of the resource






recurring_fee

string

Monthly recurring fee of the resource






overuse_fee

string

Overuse fee of the resource






renewal_fee

string

Renewal fee of the resource






unlimited_units

bool

Attribute of the unlimited resource:

  • true — the resource is unlimited.

  • false — the resource is not unlimited.






public

bool

Availability of the resource:

  • true — the resource is available for ordering.

  • false — the resource is not available for ordering.






status

string

Status of the resource:

  • active

  • inactive

  • deleted






resource_id

integer

ID of the resource in the application template






priority

integer

Priority of the resource. For the main resource, priority is maximal






net_costs

object

The resource net costs







setup_fee

string

Setup fee of the resource







recurring_fee

string

Monthly recurring fee of the resource







overuse_fee

string

Overuse fee of the resource







renewal_fee

string

Renewal fee of the resource






erp

object

The recommended price (ERP) of the resource







setup_fee

string

Setup fee of the resource







recurring_fee

string

Monthly recurring fee of the resource







overuse_fee

string

Overuse fee of the resource







renewal_fee

string

Renewal fee of the resource






custom_attributes

object

Information about custom attributes of the resource







plan_resources.custom_attributes.['custom_attribute_key']

string

Value of the custom attribute of the resource



plan_periods

object

Plan periods




data


array of objects

Object data





id

integer

ID of the plan period





type

string

Data type





attributes

object

Information about the plan period






created_at

string

Date and time of the plan period creation






updated_at

string

Date and time when the plan period was updated






duration_value

integer

Duration of the plan period. For the endless plan period, duration_value = null






duration_type

string

Unit of measure of the plan period duration. For the endless plan period, duration_type = null






setup_fee

string

Setup fee of the plan for the plan period






recurring_fee

string

Monthly recurring fee of the plan for the plan period






transfer_fee

string

Transfer fee of a domain for the plan period. The transfer fee is applied if domains are available as a resource in the service






renewal_fee

string

Renewal fee of the plan for the plan period






trial

bool

Plan period type:

  • true — trial plan period.

  • false — commercial plan period.






public

bool

Availability of the plan period:

  • true — the plan period is available for ordering.

  • false — the plan period is not available for ordering.






status

string

Status of the plan period:

  • active

  • deleted






description

string

Plan period details description






endless

bool

Indicator of the endless plan period:

  • true — the plan period is endless (perpetual).

  • false — the plan period is not endless. For the plan period duration, see duration_value and duration_type.






net_costs

object

The period net costs







setup_fee

string

Setup fee of the plan for the plan period







recurring_fee

string

Monthly recurring fee of the plan for the plan period







transfer_fee

string

Transfer fee of a domain for the plan period. The transfer fee is applied if domains are available as a resource in the service







renewal_fee

string

Renewal fee of the plan for the plan period






erp

object

The recommended price (ERP) of the plan period







setup_fee

string

Setup fee of the plan for the plan period







recurring_fee

string

Monthly recurring fee of the plan for the plan period







transfer_fee

string

Transfer fee of a domain for the plan period. The transfer fee is applied if domains are available as a resource in the service







renewal_fee

string

Renewal fee of the plan for the plan period



plan_currency

string

Currency code of the plan



available_account_types

object

Information about account types




data

array of objects

Object data





id

integer

ID of the account type





type

string

Data type





attributes

object

Information about an account type






created_at

string

Date and time of the account type creation






updated_at

string

Date and time when the account type was updated






reseller_id

integer

ID of the reseller linked to the account type






name

string

Name of the account types






ancestry

string

ID of the parent account type






default_payment_method_id

integer

ID of the default payment method (see


)






key

string

Key that is used to refer to the account type by API or a placeholder






name_pattern

string

Template of the account type name which is displayed in the platform






use_by_default

bool

Default account type:

  • true — the account type is used by default.

  • false — the account type is not used by default.






primary_name

string

Name of the field with the primary name of the account. For example, for the Business account type, the filed may be named as Company name



custom_attributes

object

Information about custom attributes of the plan




custom_attributes.['custom_attribute_key']

string

Value of the custom attribute of the plan


relationships

object

Information about the related objects



plan_category

object

Information about the related plan category




data

object

Information about the plan category





id

string

ID of the plan category





type

string

Data type

included

array

Additional information about objects listed in the request:

Name

Data type

Description

id

string

ID of the object

type

string

Data type

attributes

object

Attributes of the object (see details below)

For the plan category (see ):

Name

Data type

Description

created_at

string

Date and time of the plan category creation

updated_at

string

Date and time of the plan category last update

key

string

Unique key of the plan category

name

string

Name of the plan category

description

string

Description of the plan category

priority

integer

Displaying priority of the plan category

Request example

XML
GET /api/v3/resellers/1/plans/368
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json

Response example

JSON
{
    "data": {
        "id": "368",
        "type": "plans",
        "attributes": {
            "created_at": "2017-07-07T11:28:07.244+03:00",
            "updated_at": "2017-07-07T11:28:07.404+03:00",
            "status": "active",
            "name": "Plan VSP billing info 7/1",
            "description": "The best Plan",
            "public": true,
            "plan_class_id": 1366,
            "product_id": 403,
            "billing_type": "reservation",
            "ancestry": null,
            "reseller_id": 1,
            "fixed_price": true,
            "sku": "f54f74e9a239",
            "singleton": false,
            "auto_renewal": true,
            "auto_renewal_disabled": false,
            "plan_class": "Plan VSP billing info 7-Reservation",
            "product_category_id": 190,
            "product_category": "default",
            "product_category_public": false,
            "product": "Default",
            "plan_resources": {
                "data": [
                    {
                        "id": "2005",
                        "type": "plan_resources",
                        "attributes": {
                            "created_at": "2017-07-07T11:28:07.320+03:00",
                            "updated_at": "2017-07-07T11:28:07.320+03:00",
                            "name": "Users",
                            "measurable": null,
                            "unit_of_measure": "unit",
                            "application_template_name": "Plan VSP billing info 7",
                            "included": 1,
                            "minimum": 1,
                            "limit": 300,
                            "setup_fee": "0.0",
                            "recurring_fee": "249.93",
                            "overuse_fee": "0.0",
                            "renewal_fee": "0.0",
                            "unlimited_units": false,
                            "public": true,
                            "status": "active",
                            "resource_id": 997,
                            "priority": 0,
                            "net_costs": {
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "overuse_fee": "0.0",
                                "renewal_fee": "0.0"
                            },
                            "erp": {
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "overuse_fee": "0.0",
                                "renewal_fee": "0.0"
                            }, 
                            "custom_attributes": {}
                        }
                    },
                    {
                        "id": "2006",
                        "type": "plan_resources",
                        "attributes": {
                            "created_at": "2017-07-07T11:28:07.349+03:00",
                            "updated_at": "2017-07-07T11:28:07.349+03:00",
                            "name": "Licenses",
                            "measurable": null,
                            "unit_of_measure": "unit",
                            "application_template_name": "Plan VSP billing info 7",
                            "included": 0,
                            "minimum": 0,
                            "limit": 300,
                            "setup_fee": "0.0",
                            "recurring_fee": "249.93",
                            "overuse_fee": "0.0",
                            "renewal_fee": "0.0",
                            "unlimited_units": false,
                            "public": true,
                            "status": "active",
                            "resource_id": 998,
                            "priority": 1,
                            "net_costs": {
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "overuse_fee": "0.0",
                                "renewal_fee": "0.0"
                            },
                            "erp": {
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "overuse_fee": "0.0",
                                "renewal_fee": "0.0"
                            }, 
                            "custom_attributes": {}
                        }
                    }
                ]
            },
            "plan_periods": {
                "data": [
                    {
                        "id": "819",
                        "type": "plan_periods",
                        "attributes": {
                            "created_at": "2017-07-07T11:28:07.366+03:00",
                            "updated_at": "2017-07-07T11:28:07.366+03:00",
                            "duration_value": 1,
                            "duration_type": "year",
                            "setup_fee": "4.0",
                            "recurring_fee": "4.0",
                            "transfer_fee": "0.4",
                            "renewal_fee": "5.54",
                            "trial": false,
                            "public": true,
                            "status": "active",
                            "description": null,
                            "endless": false,
                            "net_costs": {
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "transfer_fee": "0.0",
                                "renewal_fee": "0.0"
                            },
                            "erp": {
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "transfer_fee": "0.0",
                                "renewal_fee": "0.0"
                            } 
                        }
                    }
                ]
            },
            "available_account_types": {
                "data": [
                    {
                        "id": "12",
                        "type": "account_types",
                        "attributes": {
                            "created_at": "2016-10-25T05:16:28.789779+0000",
                            "updated_at": "2017-02-01T12:04:39.227805+0000",
                            "reseller_id": 1,
                            "name": "Business",
                            "ancestry": null,
                            "default_payment_method_id": 197,
                            "key": "business",
                            "name_pattern": "%primary_name",
                            "use_by_default": false,
                            "primary_name": "Company name"
                        }
                    },
                    {
                        "id": "1564",
                        "type": "account_types",
                        "attributes": {
                            "created_at": "2017-03-20T13:34:28.163302+0000",
                            "updated_at": "2022-09-15T08:33:31.943006+0000",
                            "reseller_id": 1,
                            "name": "Personal",
                            "ancestry": "1562",
                            "default_payment_method_id": 2,
                            "key": "personal",
                            "name_pattern": "%first_name %middle_name %last_name",
                            "use_by_default": false,
                            "primary_name": ""
                        }
                    }
                ]
            },
            "plan_currency": "RUB",
            "custom_attributes": {
                "item_1c_id": "123456"
            }
        },
        "relationships": {
            "plan_category": {
                "data": {
                    "id": "190",
                    "type": "plan_categories"
                }
            }
        }
    }
}